如何在Ubuntu 14.04 LTS上安装Juniper VPN?

Modified on: Sat, 09 Jun 2018 19:14:23 +0800

你能帮我吗?

在我原来的Ubuntu 13.10上,我能够使用一种解决方法来运行Juniper VPN(仅限Firefox),这需要您安装缺少的32lib和IcedTea(32位)。

但是,我最近从Ubuntu 13.10升级到14.04(均为64位),我的Juniper VPN不再工作,因为它在启动时失败,显示以下消息:

“请确保安装了必要的32位库。有关详细信息,请参阅知识库文章KB25230”

“安装失败。请使用update-alternatives命令安装32位Java并更新备用链接。有关更多详细信息,请参阅知识库文章KB25230”

由于一些奇怪的原因,似乎14.04升级不再适用于openjdk-7:386,因此也是Juniper VPN。

任何想法?
感谢

最佳答案

您可以尝试这篇文章中的建议:12月4日的Juniper设置

更新14.04 Trusty Tahr(64位)

首次在14.04上使用Network Connect导致失败,Network Connect抱怨缺少32位库。我的NC版本是7.4R6。我确实安装了所有库并安装了openjdk-7-jre:i386。

深入挖掘后发现,Network Connect正在使用更新备选列表来确定是否安装了32位jre。

找不到

/usr/sbin/alternatives command not found
Command = /bin/sh -c /usr/sbin/update-alternatives --display java 2>&1 | grep -v "/bin/sh:" | grep ^/ | cut -d " " -f 1 | tr " " " "

然而,它正在寻找来自/ usr / sbin /的更新替代品,并且似乎没有指向正确目录的符号链接,如13.10所示。所以将符号链接添加到/ usr / sbin / help。

$ sudo ln -s /usr/bin/update-alternatives /usr/sbin/

为了完整性,以及必须安装32位JRE,我还必须遵循以下信息:http://itfuzz.blogspot.de/2013/11/juniper-network-connect-and-ubuntu-1310.html和在14.04上运行此命令:

sudo apt-get install libstdc++6:i386 lib32z1 lib32ncurses5 lib32bz2-1.0 libxext6:i386 libxrender1:i386 libxtst6:i386 libxi6:i386

我必须已经在13.10上完成了这项工作,但是在14.04,Network Connect窗口刚刚关闭。这解决了这个问题。

作者:Community,mike

相关问答

添加新评论